eDirectory installation/upgrade gives unsupported platform warning on supported platform

  • 7003809
  • 08-Jul-2009
  • 27-Apr-2012

Environment


Novell eDirectory 8.8.5 for Linux
SUSE Linux Enterprise Server 9 Service Pack 4
SUSE Linux Enterprise Server 10 Service Pack 2
SUSE Linux Enterprise Server 10 Service Pack 1
SUSE Linux Enterprise Server 11
Red Hat Enterprise Linux 5

Situation

If you are installing or upgrading to eDirectory 8.8.5 on SUSE Linux Enterprise Server
or Red Hat Enterprise Linux and have modified /etc/issue from the default, you will receive
a warning indicating the platform is unsupported:

%%% Warning: This is not a supported platform for eDirectory 8.8.5. Please refer to NOVELL Documentation for information on supported platforms. Do you want to Continue  '[y/n/q] ? '

Resolution

This warning is erroneous and you can safely proceed with the installation or upgrade.


Additional Information

nds-install erroneously checks /etc/issue for version information. If the file doesn't contain the string
identifying the product, such as "SuSE Linux Enterprise Server" or "Red Hat Enterprise Linux" along
with the operating system version, it will fail to identify the platform as supported.

Feedback service temporarily unavailable. For content questions or problems, please contact Support.